package edu.sc.seis.gee.task;

import java.awt.BorderLayout;
import java.util.Map;
import javax.swing.JPanel;
import edu.sc.seis.fissuresUtil.display.NetInfoDisplay;
import edu.sc.seis.gee.configurator.ConfigurationException;

/**
 * NetInfoTask.java
 *
 *
 * Created: Tue Jun  4 09:24:02 2002
 *
 * @author <a href="mailto:">Philip Crotwell</a>
 * @version
 */

public class NetInfoTask extends JPanel implements Task {
   
    public NetInfoTask (){
	setLayout(new BorderLayout());	
    }

    public void configure(Map params) throws ConfigurationException {
	configParams = params;
	display = new NetInfoDisplay();
	add(display, BorderLayout.CENTER);

    }

    public void invoke() throws ConfigurationException {

    }

    public void destroy(){}

    protected Map configParams;

    protected NetInfoDisplay display = null;
 
}// NetInfoTask
